Mandrake Linux Security Advisory : libsafe (MDKSA-2002:026)

Medium Nessus Plugin ID 13933


The remote Mandrake Linux host is missing a security update.


Wojciech Purczynski discovered that format string protection in libsafe can be easily bypassed by using flag characters that are implemented in glibc but are not implemented in libsafe. It was also discovered that *printf function wrappers incorrectly parse argument indexing in format strings, making some incorrect assumptions on the number of arguments and conversion specifications.

These problems were fixed by the libsafe authors in 2.0-12.


Update the affected libsafe package.

Plugin Details

Severity: Medium

ID: 13933

File Name: mandrake_MDKSA-2002-026.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2004/07/31

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.6

Temporal Score: 4

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:libsafe, cpe:/o:mandrakesoft:mandrake_linux:7.1, cpe:/o:mandrakesoft:mandrake_linux:7.2, cpe:/o:mandrakesoft:mandrake_linux:8.0, cpe:/o:mandrakesoft:mandrake_linux:8.1, cpe:/o:mandrakesoft:mandrake_linux:8.2

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: true

Exploit Ease: No exploit is required

Patch Publication Date: 2002/04/11

Reference Information

CVE: CVE-2002-0175, CVE-2002-0176

BID: 4326, 4327

MDKSA: 2002:026